Download it now!
Bug 100754 - Fraction number format: no text allowed after forced denominator
Summary: Fraction number format: no text allowed after forced denominator
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Laurent BP
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-04 11:26 UTC by Laurent BP
Modified: 2016-10-25 18:54 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2016-07-04 11:26:58 UTC
Description: Fraction number format allows to add text after fraction. But for forced denominator it is not allowed

Steps to reproduce:
1. Format > Cells > Numbers. Enter user defined format:
# ??/??" inch"
=> this format is valid as shown in preview
2. Enter user defined format:
# ??/16" inch"

Actual behavior:
format is not recognized: preview is empty

Expected behavior:
format should be recognized for regular fraction as well as for forced denominator.
Comment 1 Commit Notification 2016-07-05 08:03:07 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6916368748d7f161673e2a5e5bd9b39b69fdad56

tdf#100754 Allow text after forced denominator fraction

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2016-07-06 09:55:37 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=37d97ff389d0941b32405f3433d2e595e10c76ab

tdf#99996 tdf#100594 tdf#100754 Add qa unit test

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.